.team {
  display: flex;
  flex-direction: column;
  justify-content: center;


  &__title {
    display: flex;
    justify-content: center;
    align-items: center;
    align-self: stretch;
    color: #252525;
    font-family: 'Gilroy';
    font-size: 60px;
    font-weight: 300;
    line-height: normal;
    text-transform: uppercase;
  }

  &__name {
    text-decoration: none;
    font-family: var(--second-family);
    font-weight: 800;
    font-size: 30px;
    text-transform: uppercase;
    text-align: center;
    color: #333;
  }

  &__profession {
    font-family: var(--third-family);
    font-weight: 400;
    font-size: 20px;
    text-align: center;
    color: #333;
  }

  &__img {
    display: flex;
    width: 100%;
    height: 507px;
  }

    &__media {
      display: flex;
      align-items: center;
      justify-content: center;
      gap: 10px;
      list-style-type: none;
    }

    &__box {
      display: flex;
      flex-direction: column;
      padding: 30px 0px 50px 0px;

      &-join,
      &-build {
        color: #333;
        text-align: center;
        font-size: 30px;
        line-height: normal;
        text-transform: uppercase;
      }

      &-join {
        font-family: Gilroy-Regular;
        font-weight: 400;
      }

      &-build {
        font-family: Gilroy-Bold;
        font-weight: 700;
        display: flex;
        align-items: flex-start;
      }

      &-btn {
        display: flex;
        padding: 10px 30px;
        justify-content: center;
        align-items: center;
        gap: 10px;
        align-self: stretch;
        border-radius: 50px;
        background: #252525;
        color: #FFFFFF;
        width: 100%;
      }
    }
  }

  @media screen and (min-width: 768px) {
    .team__specialists {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      grid-template-rows: repeat(1, 1fr);
      grid-gap: 40px;
    }

    .team__name,
    .team__profession {
      display: flex;
      align-items: flex-start;
    }
    .team__name {
      height: 125px;
    }

    .team__media {
      display: flex;
      justify-content: flex-end;
    }

    .team__box {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
      //gap: 30px;
      flex: 1 0 0;

      &-join {
        color: #333;
        font-family: 'Gilroy-Regular';
        font-size: 30px;
        font-weight: 400;
        line-height: normal;
        text-transform: uppercase;
      }

      &-build {
        display: flex;
        align-items: flex-start;

      }

      &-btn {
        display: flex;
        padding: 10px 30px;
        justify-content: flex-end;
        align-items: center;
        gap: 10px;
        width: 163px;
      }
    }
  }

  @media screen and (min-width: 1200px) {
    .team__specialists {
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      grid-template-rows: repeat(1, 1fr);
      grid-gap: 20px;
    }

    .team__name {
      height: 105px;
    }


    .team__box {
      grid-column: span 2; /* Змінено з 2 на 4 для повного широкого зайняття */
      justify-content: center;
      align-items: flex-start;
    }

  }

